Subject: [bug#64738] [PATCH] gnu: Make Mesa use zstd compression for shader cache instead of zlib.

From: John Kehayias <[email-masked]>
Date: Thu, 20 Jul 2023 19:35:00 +0000

On Thu, Jul 20, 2023 at 06:58 PM, 宋文武 wrote:

>>
>>     gnu: mesa: Enable zstd compression for shader cache.
>>
>>     * gnu/packages/gl.scm (mesa)[inputs]: Add zstd:lib.
>>     [arguments]: Add '-Dzstd=enabled' to configure-flags.
>
> Pushed to the mesa-updates branch, merging progress tracked in
> https://issues.guix.gnu.org/64369.
>
> Thanks.

An update here: I reset mesa-updates to just be the 2 commits from
before this patch (that were already built on Cuirass) but rebased on
master. Based on how many builds may be new, we can see what to do. I
hope it is just a small amount of rebuilds so mesa-updates can be merged
as is, and then include this and other patches for the next round.

Hope that is okay, especially as I think this is a minor change to mesa,
rather than a bug or missing hardware support.

John